// **** Include libraries here ****
// Standard libraries
#include <stdio.h>
#include <string.h>
#include <ctype.h>

//CMPE13 Support Library
#include "BOARD.h"

// Microchip libraries
#include <xc.h>
#include <plib.h>

// User libraries
#include "LinkedList.h"

int main() {
    

    
    BOARD_Init();
	printf("\r\nWelcome to mnlichte's LinkedList testing suite\r\n");
    
    //create a list:
    ListItem * myLI = NULL;
    
    printf("No list yet...\n");
    LinkedListPrint(myLI);
    
    printf("Adding an item...\n");
    myLI = LinkedListNew("FIRST ITEM");
    LinkedListPrint(myLI);
    
    printf("How about a larger list?\n");
    ListItem * animal_list = LinkedListNew("Elephant");
    animal_list = LinkedListCreateAfter(animal_list, "Moose");
    animal_list = LinkedListCreateAfter(animal_list, "Cuttlefish");
    LinkedListPrint(animal_list);
    
	printf("DONE!");
}